Aplicações instaladas
Recuperar um aplicativo instalado
Devolve os detalhes do aplicativo instalado solicitado dentro do escopo de uma organização.
GET
/
v1
/
organizations
/
{organization_id}
/
installed-apps
/
{installed_app_id}
Recuperar um aplicativo instalado
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/installed-apps/{installed_app_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/installed-apps/{installed_app_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/installed-apps/{installed_app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/installed-apps/{installed_app_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/installed-apps/{installed_app_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/installed-apps/{installed_app_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/installed-apps/{installed_app_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "64f0c2a1b2d3e4f5060709aa",
"organization_id": "507f1f77bcf86cd799439011",
"name": "Google Chrome",
"publisher": "Google LLC",
"operating_system": "windows",
"notes": "Administrada mediante catálogo de software",
"discovered_at": "2026-02-15T09:30:00.000Z",
"reported_at": "2026-04-01T07:45:00.000Z",
"installations": 4
}{
"error": {
"message": "Formato de installed_app_id no válido",
"code": "bad_request",
"details": "installed_app_id debe ser una cadena hexadecimal en minúsculas de 24 caracteres"
}
}{
"error": {
"message": "No autorizado",
"code": "unauthorized"
}
}{
"error": {
"message": "Aplicación instalada no encontrada",
"code": "not_found"
}
}{
"error": {
"message": "Error interno del servidor",
"code": "internal_error"
}
}Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de caminho
Identificador da organização.
Required string length:
24Pattern:
^[0-9a-f]{24}$Identificador do aplicativo instalado.
Required string length:
24Pattern:
^[0-9a-f]{24}$Resposta
Detalhes do aplicativo instalado recuperados corretamente.
Identificador do aplicativo instalado.
Required string length:
24Pattern:
^[0-9a-f]{24}$Identificador da organização associada ao aplicativo instalado.
Required string length:
24Pattern:
^[0-9a-f]{24}$Nome do aplicativo instalado.
Sistema operacional onde o aplicativo é observado.
Opções disponíveis:
windows, linux, android, mac_os, chrome_os, other Notas associadas ao aplicativo instalado.
Marca de tempo do último relatório.
Número de instalações observadas para o aplicativo.
Intervalo obrigatório:
x >= 0Fornecedor do aplicativo instalado.
Marca de tempo da primeira descoberta.
⌘I
Recuperar um aplicativo instalado
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/installed-apps/{installed_app_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/installed-apps/{installed_app_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/installed-apps/{installed_app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/installed-apps/{installed_app_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/installed-apps/{installed_app_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/installed-apps/{installed_app_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/installed-apps/{installed_app_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "64f0c2a1b2d3e4f5060709aa",
"organization_id": "507f1f77bcf86cd799439011",
"name": "Google Chrome",
"publisher": "Google LLC",
"operating_system": "windows",
"notes": "Administrada mediante catálogo de software",
"discovered_at": "2026-02-15T09:30:00.000Z",
"reported_at": "2026-04-01T07:45:00.000Z",
"installations": 4
}{
"error": {
"message": "Formato de installed_app_id no válido",
"code": "bad_request",
"details": "installed_app_id debe ser una cadena hexadecimal en minúsculas de 24 caracteres"
}
}{
"error": {
"message": "No autorizado",
"code": "unauthorized"
}
}{
"error": {
"message": "Aplicación instalada no encontrada",
"code": "not_found"
}
}{
"error": {
"message": "Error interno del servidor",
"code": "internal_error"
}
}